Subject: bug#6871: Please make linum-mode per buffer, not per major mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Aug 2010 09:19:41 +0200

>>>> I don't think that's going to be sufficient: you'll probably at least
>>>> also want to remove the
>>>>        (add-hook 'change-major-mode-hook 'linum-delete-overlays nil t)
[...]
>> minor-modes should be made permanent-local), but we need a proper patch
>> for it.
> How about also removing adding linum to change-major-mode-hook?

Yes, that's what I suggested, isn't it?
Please write a patch, test it (after removing the workarounds you
currently use), and send it here.

        Stefan